package com.fos.modules.tableView.dao;

import com.fos.core.base.CurdDao;
import com.fos.modules.tableView.bean.Table2UserNameBean;
import com.fos.modules.tableView.entity.Table2UserEntity;
import com.fos.modules.tableView.entity.TableUserInfoEntity;
import com.fos.modules.tableView.entity.TableViewEntity;

import java.util.List;

/**
 * Created by Tony on 8/4/2016.
 */
public interface Table2UserDao extends CurdDao<Table2UserEntity> {

    //通过昵称获取唯一id
    public List<Integer> getUserId(Table2UserNameBean bean);

    public void insertTableUser(Table2UserEntity entity);

    public void updateTableUser(Table2UserEntity entity);

    //设置用户入座
    public void updateSeatStatus(Table2UserEntity entity);

    //设置用户离座
    public void updateSeatNotatus(Table2UserEntity entity);

    public void delTableUser(Table2UserEntity entity);

    public Integer getSeatId(Table2UserNameBean bean);

    //查询当前桌号人数
    public List<TableViewEntity> getCurrentUser(Table2UserEntity entity);

    public List<TableUserInfoEntity> checkTableUser(Table2UserEntity entity);
}
